## org.hornetq.spi.core.remoting
Interface AcceptorFactory

    public interface AcceptorFactory

A factory for creating acceptors.

An Acceptor is an endpoint that a `Connector` will connect to and is used by the remoting service.

Author:
  Andy Taylor, Tim Fox, Jeff Mesnil

Method Summary
`Acceptor` `createAcceptor(org.hornetq.core.server.cluster.ClusterConnection clusterConnection, Map<String,Object> configuration, BufferHandler handler, BufferDecoder decoder, ConnectionLifeCycleListener listener, Executor threadPool, ScheduledExecutorService scheduledThreadPool)` Create a new instance of an Acceptor.
`Set<String>` `getAllowableProperties()` Returns the allowable properties for this acceptor.

Method Detail

### createAcceptor

    Acceptor createAcceptor(org.hornetq.core.server.cluster.ClusterConnection clusterConnection,
                            Map<String,Object> configuration,
                            BufferHandler handler,
                            BufferDecoder decoder,
                            ConnectionLifeCycleListener listener,
                            Executor threadPool,
                            ScheduledExecutorService scheduledThreadPool)

  Create a new instance of an Acceptor.

  Parameters:
    `configuration` - the configuration
    `handler` - the handler
    `decoder` - the decoder
    `listener` - the listener
    `threadPool` - the threadpool
    `scheduledThreadPool` - a scheduled thread pool
  Returns:
    an acceptor

### getAllowableProperties

    Set<String> getAllowableProperties()

  Returns the allowable properties for this acceptor.

  This will differ between different acceptor implementations.

  Returns:
    the allowable properties.

Copyright © 2009 Red Hat Inc. All Rights Reserved.